Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.classfile
Class DefaultClassFileRecorder

    java.lang.Object
      org.modeshape.sequencer.classfile.DefaultClassFileRecorder

All Implemented Interfaces:
  ClassFileRecorder

    public class DefaultClassFileRecorder

extends Object
implements ClassFileRecorder

Constructor Summary
`DefaultClassFileRecorder()`

Method Summary
`void` | `recordClass(Sequencer.Context context, Node outputNode, ClassMetadata classMetadata)` Records a row using the provided `Node` node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultClassFileRecorder

    public DefaultClassFileRecorder()

Method Detail

### recordClass

    public void recordClass(Sequencer.Context context,
                            Node outputNode,
                            ClassMetadata classMetadata)
                     throws RepositoryException

  Description copied from interface: `ClassFileRecorder`
  Records a row using the provided `Node` node.

  Specified by:
    `recordClass` in interface `ClassFileRecorder`
  Parameters:
    `context` - the `Sequencer.Context`
    `outputNode` - the node to which the new content should be sequenced. This may either be new or existent `Sequencer.execute(javax.jcr.Property, javax.jcr.Node, org.modeshape.jcr.api.sequencer.Sequencer.Context)`
    `classMetadata` - the metadata for the class file
  Throws:
    `RepositoryException` - if anything fails during the recording process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.